commit:     ccddd1d4ae4e7354630eb3e940f6dce1dd723ac9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 11 06:20:34 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May 11 06:20:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccddd1d4

dev-ruby/nokogiri: add 1.18.8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/nokogiri/Manifest               |   1 +
 dev-ruby/nokogiri/nokogiri-1.18.8.ebuild | 100 +++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-ruby/nokogiri/Manifest b/dev-ruby/nokogiri/Manifest
index 9d9325153c20..27166c753d93 100644
--- a/dev-ruby/nokogiri/Manifest
+++ b/dev-ruby/nokogiri/Manifest
@@ -6,3 +6,4 @@ DIST nokogiri-1.18.4-git.tgz 11051342 BLAKE2B 
f6509767384a19977f08bd56a3f1fadbfa
 DIST nokogiri-1.18.5-git.tgz 11053564 BLAKE2B 
63b935bfd81e2daf0ff11389b593ffb598bf7138e04f95666c3d7f738b0d1ac9b36d1118969e2ef60e03594b6f8a4078ecd267793fed41934e874735ef8af0a3
 SHA512 
99e9cde9f6840d1dc0d69f3faeaa489dcd499fa733e2bb9b8bed7f1eb9a2d8f69244cd60572439d08dfffde8470012034ea11859f45fa5334c96f3108fc9e977
 DIST nokogiri-1.18.6-git.tgz 11053802 BLAKE2B 
4b955a34c920e51df0ddf5c98374ad4664aa5317bd3d40eb25d85fba704277aa14d740b2dc5e4ea0c0f7f8d473eedc7563e1a9c4ffbd5c72f382ef0fef4ee070
 SHA512 
489f8a46cbff52ba0bfc1426d0f0839830d53491974ddb45514000bc44dbfc8822ff6f9122486efd253c97463741d84c7b14797d9265e3e674040a65418042ef
 DIST nokogiri-1.18.7-git.tgz 11053819 BLAKE2B 
37feac55a841a8ca0e4b6df023abb28608e30e410ab6fe1fa5d71d8973c186145d006965f9e9ae94c2d1fe6e9d7f7b8a4d267ff047965bb7b133d71811726c93
 SHA512 
de0e28e566209e41dde9931058aac94a832a68d991881dc51919f69be1eb9a517e25e3b74136b1ba331d40ae940356371240c78610eaf828c9609ce4da3f407d
+DIST nokogiri-1.18.8-git.tgz 11053885 BLAKE2B 
5ff4eac2aba046114be84791a3aafc436558ea52cd537d5ae58b259d30686ac4e6306d7f691a8bd3e6c328b90c03d925ef6f0e6d9e58c148f936e9691fae838b
 SHA512 
cefec463825c7664dc81b8668d8bf18a9fa4b659dbece0d1251c913eeccac1c762fb30fdd183e8fdd4a3da89e8cfa1bf828a1d9b11809c6f8c61fd4efa990306

diff --git a/dev-ruby/nokogiri/nokogiri-1.18.8.ebuild 
b/dev-ruby/nokogiri/nokogiri-1.18.8.ebuild
new file mode 100644
index 000000000000..dcdb507169da
--- /dev/null
+++ b/dev-ruby/nokogiri/nokogiri-1.18.8.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md ROADMAP.md SECURITY.md"
+
+RUBY_FAKEGEM_GEMSPEC="nokogiri.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/nokogiri/extconf.rb)
+
+inherit ruby-fakegem multilib
+
+DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser"
+HOMEPAGE="https://nokogiri.org/";
+SRC_URI="https://github.com/sparklemotion/nokogiri/archive/v${PV}.tar.gz -> 
${P}-git.tgz"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~arm64-macos"
+IUSE="test"
+
+RDEPEND="
+       >=dev-libs/libxml2-2.13.8
+       >=dev-libs/libxslt-1.1.43
+       >=sys-libs/zlib-1.3.1
+       virtual/libiconv"
+DEPEND="
+       >=dev-libs/libxml2-2.13.8
+       >=dev-libs/libxslt-1.1.43
+       >=sys-libs/zlib-1.3.1
+       virtual/libiconv"
+
+ruby_add_rdepend ">=dev-ruby/racc-1.4:0"
+
+ruby_add_bdepend "
+       dev-ruby/mini_portile2:2.8
+       >=dev-ruby/rexical-1.0.7
+       dev-ruby/rdoc
+       test? ( dev-ruby/minitest dev-ruby/rubyzip )"
+
+all_ruby_prepare() {
+       sed -i \
+               -e '/tasks\/cross_compile/s:^:#:' \
+               -e '/:test.*prerequisites/s:^:#:' \
+               -e '/license/ s:^:#:' \
+               Rakefile || die
+       # Remove the cross compilation options since they interfere with
+       # native building.
+       sed -i -e 's/cross_compile  = true/cross_compile = false/' Rakefile || 
die
+       sed -i -e '/cross_config_options/d' Rakefile || die
+
+       sed -e '/reporters/I s:^:#:' \
+               -i test/helper.rb || die
+
+       # There is no need for mini_portile2 to be a runtime dependency on 
Gentoo
+       sed -i -e '/mini_portile2/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Avoid a failing test already dropped upstream.
+       sed -e '128 s:^:#:' \
+               -i test/xml/test_document_encoding.rb || die
+}
+
+each_ruby_configure() {
+       NOKOGIRI_USE_SYSTEM_LIBRARIES=true \
+               ${RUBY} -Cext/${PN} extconf.rb \
+               --with-zlib-include="${EPREFIX}"/usr/include \
+               --with-zlib-lib="${EPREFIX}"/$(get_libdir) \
+               --with-iconv-include="${EPREFIX}"/usr/include \
+               --with-iconv-lib="${EPREFIX}"/$(get_libdir) \
+               --with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
+               --with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
+               --with-xslt-dir="${EPREFIX}"/usr \
+               --with-iconvlib=iconv \
+               || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
+               ${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical 
failed"
+       fi
+
+       if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
+               ${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
+       fi
+
+       emake -Cext/${PN} \
+               V=1 \
+               CFLAGS="${CFLAGS} -fPIC" \
+               archflag="${LDFLAGS}" || die "make extension failed"
+       cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
+}
+
+each_ruby_test() {
+       MT_NO_PLUGINS=1 \
+       RUBY_MEMCHECK_RUNNING=true \
+       ${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each {|f| require f}' 
|| die
+}

Reply via email to